org.richfaces.resource

## Class Xcss2EcssConverter.Handler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.richfaces.resource.Xcss2EcssConverter.Handler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Enclosing class:
    Xcss2EcssConverter

      public static class Xcss2EcssConverter.Handler
      extends org.xml.sax.helpers.DefaultHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Xcss2EcssConverter.Handler()`
    `Xcss2EcssConverter.Handler(OutputStream outputStream)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)` Receive notification of character data inside an element.
    `void` | `endElement(String namespaceURI, String localName, String qName)` Receive notification of the end of an element.
    `void` | `startElement(String namespaceURI, String localName, String qName, Attributes atts)` Receive notification of the start of an element.

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Xcss2EcssConverter.Handler

          public Xcss2EcssConverter.Handler()

    - #### Xcss2EcssConverter.Handler

          public Xcss2EcssConverter.Handler(OutputStream outputStream)

  - ### Method Detail

    - #### startElement

          public void startElement(String namespaceURI,
                          String localName,
                          String qName,
                          Attributes atts)
                            throws SAXException

      Receive notification of the start of an element.
      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Parameters:
        `namespaceURI` - - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
        `localName` - - The local name (without prefix), or the empty string if Namespace processing is not being performed.
        `qName` - - The qualified name (with prefix), or the empty string if qualified names are not available.
        `atts` - - The attributes attached to the element. If there are no attributes, it shall be an empty Attributes object.
      Throws:
        `SAXException` - - Any SAX exception, possibly wrapping another exception.

    - #### characters

          public void characters(char[] ch,
                        int start,
                        int length)
                          throws SAXException

      Receive notification of character data inside an element.
      Specified by:
        `characters` in interface `ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`
      Parameters:
        `ch` - - The characters.
        `start` - - The start position in the character array.
        `length` - - The number of characters to use from the character array.
      Throws:
        `SAXException` - - Any SAX exception, possibly wrapping another exception.

    - #### endElement

          public void endElement(String namespaceURI,
                        String localName,
                        String qName)
                          throws SAXException

      Receive notification of the end of an element.
      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Parameters:
        `namespaceURI` - - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
        `localName` - - The local name (without prefix), or the empty string if Namespace processing is not being performed.
        `qName` - - The qualified name (with prefix), or the empty string if qualified names are not available.
      Throws:
        `SAXException` - - Any SAX exception, possibly wrapping another exception.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.